Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class CODESET_INCOMPATIBLEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.CODESET_INCOMPATIBLEHelper

public class CODESET_INCOMPATIBLEHelper
extends java.lang.Object

Helper class for : CODESET_INCOMPATIBLE

Author:
  OpenORB Compiler

Constructor Summary
`CODESET_INCOMPATIBLEHelper()`

Method Summary
`static CODESET_INCOMPATIBLE` | `extract(Any a)` Extract CODESET_INCOMPATIBLE from an any
`static java.lang.String` | `id()` Return the CODESET_INCOMPATIBLE IDL ID
`static void` | `insert(Any a, CODESET_INCOMPATIBLE t)` Insert CODESET_INCOMPATIBLE into an any
`static CODESET_INCOMPATIBLE` | `read(InputStream istream)` Read CODESET_INCOMPATIBLE from a marshalled stream
`static TypeCode` | `type()` Return the CODESET_INCOMPATIBLE TypeCode
`static void` | `write(OutputStream ostream, CODESET_INCOMPATIBLE value)` Write CODESET_INCOMPATIBLE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CODESET_INCOMPATIBLEHelper

    public CODESET_INCOMPATIBLEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CODESET_INCOMPATIBLE t)

  Insert CODESET_INCOMPATIBLE into an any
  Parameters:
    `a` - an any
    `t` - CODESET_INCOMPATIBLE value

### extract

    public static CODESET_INCOMPATIBLE extract(Any a)

  Extract CODESET_INCOMPATIBLE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CODESET_INCOMPATIBLE value

### type

    public static TypeCode type()

  Return the CODESET_INCOMPATIBLE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CODESET_INCOMPATIBLE IDL ID
  Returns:
    an ID

### read

    public static CODESET_INCOMPATIBLE read(InputStream istream)

  Read CODESET_INCOMPATIBLE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CODESET_INCOMPATIBLE value

### write

    public static void write(OutputStream ostream,
                             CODESET_INCOMPATIBLE value)

  Write CODESET_INCOMPATIBLE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CODESET_INCOMPATIBLE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD